rpma_mr_remote_get_size(3)

NAME
rpma_mr_remote_get_size - get a remote memory region size

SYNOPSIS
      #include <librpma.h>

      struct rpma_mr_remote;
      int rpma_mr_remote_get_size(const struct rpma_mr_remote *mr,
                      size_t *size);

DESCRIPTION
rpma_mr_remote_get_size() gets the size of the remote memory region.

RETURN VALUE
The rpma_mr_remote_get_size() function returns 0 on success or a negative error code on failure. rpma_mr_remote_get_size() does not set *size value on failure.

ERRORS
rpma_mr_remote_get_size() can fail with the following error:

•   RPMA_E_INVAL - mr or size is NULL

SEE ALSO
rpma_mr_remote_from_descriptor(3), librpma(7) and https://pmem.io/rpma/